API Reference

List bank accounts

GET/bank_accounts

Query Parameters

offsetinteger (int32)(optional)· Defaults to 1

Page number to return

limitinteger (int32)(optional)· Defaults to 10

Number of results to return

fromstring (date-time)(optional)

Lower bound for the time at which the bank account was registered

tostring (date-time)(optional)

Upper bound for the time at which the bank account was registered

Request

curl
curl -u TEST:TEST https://gateway.pmnts-sandbox.io/v1.0/bank_accounts?limit=1

Response

200cURL
json
{
  "successful": true,
  "response": [
  {
    "id": "071-B-C2FJI049",
    "account_name": "Test",
    "account_number": "12312312",
    "bsb": "123-123",
    "created_at": "2018-01-18T10:31:09+11:00"
  },
  ],
  "errors": [],
  "test": true,
  "records": 10,
  "total_records": 570,
  "page": 1,
  "total_pages": 57
}